[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] libvirt vs XenAPI



On Mon, Sep 08, 2008 at 08:56:49AM +0100, atif bajwa wrote:
> So the question is,
> Is there any particular reason that RHEL 5.2 did not upgrade Xen user space
> tools/libs. Novell SLES/SLED 10 SP2 and Oracle VM 2.1.x have upgraded the
> user space libs for remote management of Xen infrastructure.

Novell does not provide the same user ABI/API stability  guarentees that 
we do in RHEL. The change from Xen 3.0.x series to Xen 3.1.0 changes a 
number of user facing APIs / changes semantics of existing commands. This
is not acceptable to drop into a minor update of RHEL because it can cause
functional regressions for people deploying tools built on Xen.

Daniel
-- 
|: Red Hat, Engineering, London   -o-   http://people.redhat.com/berrange/ :|
|: http://libvirt.org  -o-  http://virt-manager.org  -o-  http://ovirt.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: GnuPG: 7D3B9505  -o-  F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505 :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]